import { config } from "dotenv";
import swapConsole from "./src/tools/consoleSwapper";

config();
swapConsole();

import "./src/client";

function shutdown() {
    console.log("Shutdown request received");
    process.exit();
}

process.on("SIGINT", shutdown);
process.on("SIGHUP", shutdown);